<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

$domyslnaPorada = "Porada domyślna...";
function getText()
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return $GLOBALS['domyslnaPorada'];
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return $GLOBALS['domyslnaPorada'];
  }

  $query = "SELECT MAX(ID) FROM PORADY";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return $GLOBALS['domyslnaPorada'];
  }

  if(!$row = mysql_fetch_array($result)){
    mysql_close($link);
    return $GLOBALS['domyslnaPorada'];
  }

  $maxId = $row[0];

  srand((float) microtime() * 10000000);
  $num = rand(1, $maxId);
  
  $query = "SELECT PORADA FROM PORADY WHERE ID = '".$num."'";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return $GLOBALS['domyslnaPorada'];
  }

  if(!$row = mysql_fetch_array($result)){
    mysql_close($link);
    return $GLOBALS['domyslnaPorada'];
  }
  mysql_close($link);
  return $row[0];
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Porada dnia</title>
</head>
<body>
<div>
<?php echo getText(); ?>
</div>
</body>
</html>